Loading...
Searching...
No Matches
pappso::SelectionPolygonSpec Struct Reference

`#include <selectionpolygon.h>`

## Public Member Functions

| SelectionPolygonSpec ()
| SelectionPolygonSpec (const SelectionPolygon &selection_polygon, DataKind data_kind)
| SelectionPolygonSpec (const SelectionPolygonSpec &other)
SelectionPolygonSpec & | operator= (const SelectionPolygonSpec &other)
QString | toString () const

## Public Attributes

SelectionPolygon | selectionPolygon
DataKind | dataKind = DataKind::unset

## Detailed Description

Definition at line 156 of file selectionpolygon.h.

## Constructor & Destructor Documentation

## SelectionPolygonSpec() [1/3]

pappso::SelectionPolygonSpec::SelectionPolygonSpec | ( |  | ) |

## SelectionPolygonSpec() [2/3]

pappso::SelectionPolygonSpec::SelectionPolygonSpec | ( | const SelectionPolygon & | selection_polygon,
|  | DataKind | data_kind
| ) |  |

inline

Definition at line 167 of file selectionpolygon.h.

: selectionPolygon(selection_polygon), dataKind(data_kind)
{
}
pappso::SelectionPolygonSpec::dataKind
DataKind dataKind
Definition selectionpolygon.h:160
pappso::SelectionPolygonSpec::selectionPolygon
SelectionPolygon selectionPolygon
Definition selectionpolygon.h:159

## SelectionPolygonSpec() [3/3]

pappso::SelectionPolygonSpec::SelectionPolygonSpec | ( | const SelectionPolygonSpec & | other | ) |

inline

Definition at line 173 of file selectionpolygon.h.

: selectionPolygon(other.selectionPolygon), dataKind(other.dataKind)
{
}

## Member Function Documentation

## operator=()

SelectionPolygonSpec & pappso::SelectionPolygonSpec::operator= | ( | const SelectionPolygonSpec & | other | ) |

inline

Definition at line 179 of file selectionpolygon.h.

{
if(this == &other)
return *this;
selectionPolygon = other.selectionPolygon;
dataKind = other.dataKind;
return *this;
}

References dataKind, and selectionPolygon.

## toString()

QString pappso::SelectionPolygonSpec::toString | ( |  | ) | const

inline

Definition at line 192 of file selectionpolygon.h.

{
QString text = "Selection polygon spec:";
text += selectionPolygon.toString();
text += " - data kind: ";
if(dataKind == DataKind::dt)
text += "dt.";
else if(dataKind == DataKind::mz)
text += "m/z.";
else if(dataKind == DataKind::rt)
text += "rt.";
else
text += "unset.";
return text;
}
pappso::SelectionPolygon::toString
QString toString() const
Definition selectionpolygon.cpp:729
pappso::DataKind::dt
@ dt
Drift time.
pappso::DataKind::mz
@ mz
m/z
pappso::DataKind::rt
@ rt
Retention time.

References pappso::SelectionPolygon::toString().

## Member Data Documentation

## dataKind

DataKind pappso::SelectionPolygonSpec::dataKind = DataKind::unset

Definition at line 160 of file selectionpolygon.h.

Referenced by operator=().

## selectionPolygon

SelectionPolygon pappso::SelectionPolygonSpec::selectionPolygon

Definition at line 159 of file selectionpolygon.h.

Referenced by operator=().

The documentation for this struct was generated from the following file:

- pappsomspp/processing/combiners/selectionpolygon.h